aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrc.d/rc.sysinit4
1 files changed, 3 insertions, 1 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index fc846522..2457bd4b 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -188,8 +188,10 @@ if [ ! -f /fastboot ]; then
echo "Checking filesystems."
fsck -R -A -V -a $fsckoptions
+ rc=$?
+
# A return of 2 or higher means there were serious problems.
- if [ $? -gt 1 ]; then
+ if [ $rc -gt 1 ]; then
echo
echo
echo "*** An error occurred during the file system check."